{
  "manifest_version": 3,
  "name": "OpenTiny AI Extension",
  "description": "Opentiny Next 框架的浏览器扩展插件",
  "version": "0.0.5",
  "icons": {
    "16": "icons/16.png",
    "32": "icons/32.png",
    "48": "icons/48.png",
    "128": "icons/128.png"
  },
  "permissions": [
    "storage",
    "tabs",
    "activeTab",
    "scripting",
    "contextMenus",
    "userScripts",
    "notifications",
    "debugger",
    "downloads",
    "sidePanel"
  ],
  "host_permissions": [
    "*://*/*"
  ],
  "action": {},
  "options_ui": {
    "page": "options.html",
    "open_in_tab": true
  },
  "web_accessible_resources": [
    {
      "resources": [
        "vendor/next-sdk.js",
        "vendor/mcp-server.js"
      ],
      "matches": [
        "*://*/*"
      ]
    },
    {
      "resources": [
        "mcp-servers/*/index.js"
      ],
      "matches": [
        "*://*/*"
      ]
    }
  ],
  "background": {
    "service_worker": "background.js"
  },
  "side_panel": {
    "default_path": "sidepanel.html"
  },
  "content_scripts": [
    {
      "matches": [
        "*://*/*"
      ],
      "run_at": "document_idle",
      "css": [
        "content-scripts/content.css"
      ],
      "js": [
        "content-scripts/content.js"
      ]
    }
  ]
}
